com.pixelmed.test

## Class TestCodedSequenceItemParseStringTuple

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestCodedSequenceItemParseStringTuple

All Implemented Interfaces:
  junit.framework.Test

    public class TestCodedSequenceItemParseStringTuple
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestCodedSequenceItemParseStringTuple(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces()`
`void` `TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything()`
`void` `TestCodedSequenceItemParseStringTuple_Four()`
`void` `TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces()`
`void` `TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning()`
`void` `TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything()`
`void` `TestCodedSequenceItemParseStringTuple_Three()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestCodedSequenceItemParseStringTuple

    public TestCodedSequenceItemParseStringTuple(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestCodedSequenceItemParseStringTuple_Three

    public void TestCodedSequenceItemParseStringTuple_Three()
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning

    public void TestCodedSequenceItemParseStringTuple_Three_NoQuotesAroundMeaning()
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything

    public void TestCodedSequenceItemParseStringTuple_Three_QuotesAroundEverything()
                                                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces

    public void TestCodedSequenceItemParseStringTuple_Three_LeadingAndTrailingSpaces()
                                                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Four

    public void TestCodedSequenceItemParseStringTuple_Four()
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything

    public void TestCodedSequenceItemParseStringTuple_Four_QuotesAroundEverything()
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces

    public void TestCodedSequenceItemParseStringTuple_Four_LeadingAndTrailingSpaces()
                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`